<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Urlaube\Neu;

class UrlaubNeuPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getViewModel()
  {
    $result = new UrlaubNeuViewModel();
    $result->urlaubsplanung = $this->useCaseResponse->urlaubsplanung;
    $result->hlgrund = $this->useCaseResponse->hlgrund;

    return $result;
  }

  protected function getView()
  {
    return new UrlaubNeuView($this->getViewModel());
  }
}